﻿
Imports System.Collections.ObjectModel

Namespace ViewModel
    Public Class MainWorkspaceVm
        Inherits ViewModelBase

        Private _timeTableVm As TimeTableVm
        Private _analysisVm As AnalysisVm


        Public Sub New()

            _timeTableVm = New TimeTableVm("The TimeTable", "timetable", "Das ist der Content vom TimeTable und kann jedes beliebige Objekt sein.")
            _analysisVm = New AnalysisVm("The Analysis", "analysis", "Das ist der Content vom Analisys und kann jedes beliebige Objekt sein.")

            AviableRibbnTabs = New ObservableCollection(Of IRibbonTab)
            AviableRibbnTabs.Add(_timeTableVm)
            AviableRibbnTabs.Add(_analysisVm)

        End Sub


        Private _aviableRibbonTabs As ObservableCollection(Of IRibbonTab)
        Public Property AviableRibbnTabs() As ObservableCollection(Of IRibbonTab)
            Get
                Return _aviableRibbonTabs
            End Get
            Set(ByVal value As ObservableCollection(Of IRibbonTab))
                _aviableRibbonTabs = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _selectedRibbonTab As IRibbonTab
        Public Property SelectedRibbonTab() As IRibbonTab
            Get
                Return _selectedRibbonTab
            End Get
            Set(ByVal value As IRibbonTab)
                _selectedRibbonTab = value
                RaisePropertyChanged()
            End Set
        End Property













    End Class
End Namespace